org.eclipse.jetty.server.handler.jmx

## Class ContextHandlerMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean
    - - org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean

- All Implemented Interfaces:
    javax.management.DynamicMBean

      public class ContextHandlerMBean
      extends AbstractHandlerMBean

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `_managed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextHandlerMBean(java.lang.Object managedObject)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map` | `getContextAttributes()`
    `void` | `removeContextAttribute(java.lang.String name)`
    `void` | `setContextAttribute(java.lang.String name, java.lang.Object value)`
    `void` | `setContextAttribute(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.jmx.AbstractHandlerMBean

      `getContextName, getObjectContextBasis, getObjectNameBasis`

    - ### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextHandlerMBean

          public ContextHandlerMBean(java.lang.Object managedObject)

  - ### Method Detail

    - #### getContextAttributes

          public java.util.Map getContextAttributes()

    - #### setContextAttribute

          public void setContextAttribute(java.lang.String name,
                                 java.lang.Object value)

    - #### setContextAttribute

          public void setContextAttribute(java.lang.String name,
                                 java.lang.String value)

    - #### removeContextAttribute

          public void removeContextAttribute(java.lang.String name)

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.